Subject: Re: bug#72597: 30.0.60; Eglot: MarkedString with embedded Carriage Return

From: Felician Nemeth <[email-masked]>
Date: Wed, 14 Aug 2024 07:54:24 +0200

Eli Zaretskii <[email-masked]> writes:

> Can you please answer my question whether this is standard-complying
> behavior according to LSP protocol?  IOW, what is the source of the
> assumption that CR characters will be interpreted as newlines in these
> cases?

It seems this is standard-complying, because the specification has this:
"To ensure that both client and server split the string into the same
line representation the protocol specifies the following end-of-line
sequences: ‘\n’, ‘\r\n’ and ‘\r’."